> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocka.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Check payment status



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/payments/{id}
openapi: 3.0.1
info:
  title: Rocka Payments
  version: 1.0.0
  description: ''
  contact:
    email: support@rocka.live
servers:
  - url: https://api.stage.rocka.live
    description: Sandbox
  - url: https://api.rocka.live
    description: Live
security: []
paths:
  /api/payments/{id}:
    get:
      tags:
        - Open banking payments
      summary: Check payment status
      operationId: Payment_Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: >-
              The payment's ID, which is returned by the payment creation
              request and can also be found in your Rocka Hub.
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                Payment status:
                  value:
                    amount: 174
                    currency: EUR
                    id: 31739456-be7a-4ed5-bb47-1076247235c7
                    status: New
                    description: 'Order #123'
              schema:
                type: object
                description: Response for the particular payment status
                title: Response for payment status
                properties:
                  amount:
                    format: decimal
                    type: number
                    description: Payment amount.
                  currency:
                    type: string
                    description: Payment currency.
                  id:
                    type: string
                    description: Payment ID in Rocka's systems.
                  status:
                    enum:
                      - New
                      - Processing
                      - Failed
                      - Awaiting confirmation
                      - Done
                    type: string
                    x-examples: {}
                    description: Payment status.
                  description:
                    type: string
                    description: Short payment description for the customer.
                required:
                  - amount
                  - currency
                  - id
                  - status
          description: ''
      security:
        - APIkey: []
components:
  securitySchemes:
    APIkey:
      description: >-
        To get your own API keys, go to the **Integration** tab in your [Rocka
        Hub](https://hub.rocka.live).
      in: header
      name: x-api-key
      type: apiKey

````